<sqtm-core-customisable-dialog
  [dialogId]="data.dialogId"
  [titleKey]="data.titleKey"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="m-10">
        <div class="p-4">
          <nz-radio-group class="flex-column" [(ngModel)]="synchronizationMode">
            <label
              nz-radio
              nzValue="targetA"
              [nzDisabled]="isFirstTargetDisabled"
              [nz-tooltip]="getFirstTargetTooltip | translate"
            >
              <span
                class="radio-text"
                [innerHTML]="
                  translateKeys.synchronizeMilestonesTargetMode
                    | translate: firstTargetModeParams
                "
              >
              </span>
            </label>
            <label
              nz-radio
              nzValue="targetB"
              [nzDisabled]="isSecondTargetDisabled"
              [nz-tooltip]="getSecondTargetTooltip | translate"
            >
              <span
                class="radio-text"
                [innerHTML]="
                  translateKeys.synchronizeMilestonesTargetMode
                    | translate: secondTargetModeParams
                "
              >
              </span>
            </label>
            <label
              nz-radio
              nzValue="union"
              [nzDisabled]="isUnionDisabled"
              [nz-tooltip]="getUnionTooltip | translate"
            >
              <span
                class="radio-text"
                [innerHTML]="
                  translateKeys.synchronizeMilestonesUnionMode
                    | translate: firstTargetModeParams
                "
              >
              </span>
            </label>
          </nz-radio-group>
          @if (data.isMilestoneManager) {
            <span
              nz-checkbox
              [(ngModel)]="extendPerimeter"
              [nzDisabled]="isExtendPerimeterDisabled"
            >
              {{ translateKeys.extendMilestonePerimeter | translate }}
            </span>
            <i
              nz-icon
              nzType="sqtm-core-generic:help"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                translateKeys.extendMilestonePerimeterInfo | translate
              "
              class="current-workspace-button tooltip-icon table-icon-size"
            >
            </i>
          }
        </div>

        <div class="flex-row m-t-5">
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FAAD14'"
          ></i>
          <span
            [attr.data-test-dialog-message]="true"
            [innerHTML]="translateKeys.synchronizeMilestonesWarning | translate"
          >
          </span>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
